Gallery Platform API
Reference

List a contact's saved payment methods

Returns the collector's vaulted payment methods (card/bank display metadata only), newest first.

GET
/gallery/contacts/{id}/payment-methods

Returns the collector's vaulted payment methods (card/bank display metadata only), newest first.

Authorization

bearerAuth payments:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: payments:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "contact_id": "string",      "method_type": "string",      "brand": "string",      "last4": "string",      "exp_month": -9007199254740991,      "exp_year": -9007199254740991,      "created_at": "string"    }  ]}